Package org.lwjgl.opengles

# Class OESGetProgramBinary

java.lang.Object
org.lwjgl.opengles.OESGetProgramBinary

public final class OESGetProgramBinary extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_NUM_PROGRAM_BINARY_FORMATS_OES`
Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_PROGRAM_BINARY_FORMATS_OES`
Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_PROGRAM_BINARY_LENGTH_OES`
Accepted by the <pname> parameter of GetProgramiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetProgramBinaryOES(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)`
`static void`
`glProgramBinaryOES(int program, int binaryFormat, ByteBuffer binary)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_BINARY_LENGTH_OES

public static final int GL_PROGRAM_BINARY_LENGTH_OES
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS_OES

public static final int GL_NUM_PROGRAM_BINARY_FORMATS_OES
Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_FORMATS_OES

public static final int GL_PROGRAM_BINARY_FORMATS_OES
Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glGetProgramBinaryOES

public static void glGetProgramBinaryOES(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)

### glProgramBinaryOES

public static void glProgramBinaryOES(int program, int binaryFormat, ByteBuffer binary)